/**************************************************************************

compile_list.i -- This is used to store all the files that will need to be
                  compiled after walking the propath.

$Id: compile_list.i,v 1.2 2007/05/18 03:27:27 sauge Exp $

$Log: compile_list.i,v $
Revision 1.2  2007/05/18 03:27:27  sauge
Corrected RCS variable name

Revision 1.1  2007/05/18 02:15:21  sauge
Initial revision


***************************************************************************/

/**************************************************************************/
/* We set our version control tag in a string so it flows into the r-code */
/**************************************************************************/

&IF DEFINED(RCS_COMPILE_LIST) = 0 &THEN
&GLOBAL-DEFINE RCS_COMPILE_LIST

DEFINE VARIABLE RCSCOMPILELIST AS CHARACTER NO-UNDO.
ASSIGN RCSCOMPILELIST="$Id: compile_list.i,v 1.2 2007/05/18 03:27:27 sauge Exp $".

&ENDIF

/**************************************************************************/
/* We store this stuff in a temp-table.                                   */
/**************************************************************************/

DEFINE TEMP-TABLE FileList
  FIELD FileName AS CHARACTER
  FIELD Order AS INTEGER.

