/**************************************************************************

procmp.p -- Initial program called from compile script that inter-
            pretes command line arguments from environmental variables
            and calls out to API set up for compiling.

            We use an API for compiling so WWW, CHUI, CLI, and GUI
            interfaces can be used on this should someone make one.
$Id: procmp.p,v 1.3 2007/05/18 03:24:49 sauge Exp $

$Log: procmp.p,v $
Revision 1.3  2007/05/18 03:24:49  sauge
Working

Revision 1.2  2007/05/18 02:03:18  sauge
Compiles and runs properly.

Revision 1.1  2007/05/18 01:55:14  sauge
Initial revision


***************************************************************************/

/**************************************************************************/
/* We set our version control tag in a string so it flows into the r-code */
/**************************************************************************/

DEFINE VARIABLE RCS AS CHARACTER NO-UNDO.
ASSIGN RCS="$Id: procmp.p,v 1.3 2007/05/18 03:24:49 sauge Exp $".

/**************************************************************************/
/* Putting our command line options from the compile script into 4GL vars */
/**************************************************************************/

DEFINE VARIABLE cListing AS CHARACTER NO-UNDO.
DEFINE VARIABLE cXRef    AS CHARACTER NO-UNDO.

ASSIGN
cListing = OS-GETENV("LIST")
cXRef = OS-GETENV("XREF").

/**************************************************************************/
/* Call generic API for compiling everything found on the propath.        */
/**************************************************************************/

RUN api_compile.p (INPUT cListing, INPUT cXRef).

QUIT.
